unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, T_BiancoGradient;

type
  TForm1 = class(TForm)
    BiancoGradient1: TBiancoGradient;
    rt: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    r1: TTrackBar;
    g1: TTrackBar;
    b1: TTrackBar;
    r2: TTrackBar;
    g2: TTrackBar;
    b2: TTrackBar;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    TrackBar1: TTrackBar;
    S: TLabel;
    GroupBox1: TGroupBox;
    j1: TRadioButton;
    j2: TRadioButton;
    j3: TRadioButton;
    RadioButton4: TRadioButton;
    procedure r1Change(Sender: TObject);
    procedure r2Change(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure j1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.r1Change(Sender: TObject);
begin
 canvas.brush.color:=rgb(r1.position,g1.position,b1.position);
 canvas.rectangle(330,4,384,58);
 With BiancoGradient1 do
  Begin
   Red1:=R1.Position;
   Green1:=G1.Position;
   Blue1:=B1.Position;
  End;
end;

procedure TForm1.r2Change(Sender: TObject);
begin
 canvas.brush.color:=rgb(r2.position,g2.position,b2.position);
 canvas.rectangle(330,62,384,116);
 With BiancoGradient1 do
  Begin
   Red2:=R2.Position;
   Green2:=G2.Position;
   Blue2:=B2.Position;
  End;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
 Biancogradient1.Steps:=TrackBar1.Position;
end;

procedure TForm1.j1Click(Sender: TObject);
begin
if J1.Checked then
 Biancogradient1.Style:=fsVertical
Else
 if J2.Checked then
  Biancogradient1.Style:=fsHorizontal
 Else
  if J3.Checked then
   Biancogradient1.Style:=fsSquare
  Else
   Biancogradient1.Style:=fsEllipse;


end;

end.
